curl https://production.methodfi.com/preauth \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"card": {
"bin6": "411111",
"last4": "1234",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+15555555555",
"zip": "10001"
},
"purchase": {
"amount": 9999,
"mcc": "4511",
"ip_address": "203.0.113.42",
"txn_time": "2026-05-28T14:00:00Z"
}
}'
const preauth = await method
.preauth
.create({
card: {
bin6: '411111', last4: '1234',
first_name: 'Jane', last_name: 'Doe',
phone: '+15555555555',
zip: '10001',
},
purchase: {
amount: 9999, mcc: '4511',
ip_address: '203.0.113.42',
txn_time: '2026-05-28T14:00:00Z',
},
});
preauth = method.preauth.create({
'card': {
'bin6': '411111', 'last4': '1234',
'first_name': 'Jane', 'last_name': 'Doe',
'phone': '+15555555555',
'zip': '10001'
},
'purchase': {
'amount': 9999, 'mcc': '4511',
'ip_address': '203.0.113.42',
'txn_time': '2026-05-28T14:00:00Z'
}
})
{
"id": "preauth_qV7kRaFm4JNxw",
"account_id": "acc_4m9amk4KFiaQX",
"status": "completed",
"verified_ownership": "match",
"card_standing": "open",
"success_likelihood": 0.87,
"optimal_retry_date": "2026-06-02",
"error": null,
"metadata": null,
"created_at": "2026-05-28T14:00:00.000Z",
"updated_at": "2026-05-28T14:00:00.180Z"
}
Preauth Signals
Create Preauth Signals
POST
/
preauth
curl https://production.methodfi.com/preauth \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"card": {
"bin6": "411111",
"last4": "1234",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+15555555555",
"zip": "10001"
},
"purchase": {
"amount": 9999,
"mcc": "4511",
"ip_address": "203.0.113.42",
"txn_time": "2026-05-28T14:00:00Z"
}
}'
const preauth = await method
.preauth
.create({
card: {
bin6: '411111', last4: '1234',
first_name: 'Jane', last_name: 'Doe',
phone: '+15555555555',
zip: '10001',
},
purchase: {
amount: 9999, mcc: '4511',
ip_address: '203.0.113.42',
txn_time: '2026-05-28T14:00:00Z',
},
});
preauth = method.preauth.create({
'card': {
'bin6': '411111', 'last4': '1234',
'first_name': 'Jane', 'last_name': 'Doe',
'phone': '+15555555555',
'zip': '10001'
},
'purchase': {
'amount': 9999, 'mcc': '4511',
'ip_address': '203.0.113.42',
'txn_time': '2026-05-28T14:00:00Z'
}
})
{
"id": "preauth_qV7kRaFm4JNxw",
"account_id": "acc_4m9amk4KFiaQX",
"status": "completed",
"verified_ownership": "match",
"card_standing": "open",
"success_likelihood": 0.87,
"optimal_retry_date": "2026-06-02",
"error": null,
"metadata": null,
"created_at": "2026-05-28T14:00:00.000Z",
"updated_at": "2026-05-28T14:00:00.180Z"
}
Computes a PreauthSignals assessment for a given card or account. Provide either
an
account_id for an authenticated Method Account, or a card object with raw card
identifiers. Optionally include purchase context to improve the prediction.
Exactly one of
account_id or card is required. Providing both will return a 400 error.Body
Returns
Returns a PreauthSignals object.curl https://production.methodfi.com/preauth \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"card": {
"bin6": "411111",
"last4": "1234",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+15555555555",
"zip": "10001"
},
"purchase": {
"amount": 9999,
"mcc": "4511",
"ip_address": "203.0.113.42",
"txn_time": "2026-05-28T14:00:00Z"
}
}'
const preauth = await method
.preauth
.create({
card: {
bin6: '411111', last4: '1234',
first_name: 'Jane', last_name: 'Doe',
phone: '+15555555555',
zip: '10001',
},
purchase: {
amount: 9999, mcc: '4511',
ip_address: '203.0.113.42',
txn_time: '2026-05-28T14:00:00Z',
},
});
preauth = method.preauth.create({
'card': {
'bin6': '411111', 'last4': '1234',
'first_name': 'Jane', 'last_name': 'Doe',
'phone': '+15555555555',
'zip': '10001'
},
'purchase': {
'amount': 9999, 'mcc': '4511',
'ip_address': '203.0.113.42',
'txn_time': '2026-05-28T14:00:00Z'
}
})
{
"id": "preauth_qV7kRaFm4JNxw",
"account_id": "acc_4m9amk4KFiaQX",
"status": "completed",
"verified_ownership": "match",
"card_standing": "open",
"success_likelihood": 0.87,
"optimal_retry_date": "2026-06-02",
"error": null,
"metadata": null,
"created_at": "2026-05-28T14:00:00.000Z",
"updated_at": "2026-05-28T14:00:00.180Z"
}
⌘I